summaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
authorJan Safranek <jsafrane@redhat.com>2009-03-13 15:16:19 +0100
committerJan Safranek <jsafrane@redhat.com>2009-03-26 09:34:18 +0100
commitf8e05fc8c129a13fed256b03a23537ef94c77152 (patch)
treec64ea7d9f7daeefd307feec1bcb90ea5e3e6d600 /dist
parent04bb98f8bd9751dd8a514b0e3a6c4862ceabeae9 (diff)
downloadlibcg-f8e05fc8c129a13fed256b03a23537ef94c77152.tar.gz
libcg-f8e05fc8c129a13fed256b03a23537ef94c77152.tar.xz
libcg-f8e05fc8c129a13fed256b03a23537ef94c77152.zip
Distribute files to various subdirectories
Signed-off-by: Jan Safranek <jsafrane@redhat.com>
Diffstat (limited to 'dist')
-rw-r--r--dist/libcgroup.spec.in116
-rw-r--r--dist/mktarball-trunk36
-rwxr-xr-xdist/mktarball.in36
3 files changed, 188 insertions, 0 deletions
diff --git a/dist/libcgroup.spec.in b/dist/libcgroup.spec.in
new file mode 100644
index 0000000..e3cc114
--- /dev/null
+++ b/dist/libcgroup.spec.in
@@ -0,0 +1,116 @@
+Name: libcgroup
+Summary: Tools and libraries to control and monitor control groups
+Group: Development/Libraries
+Version: @PACKAGE_VERSION@
+Release: 1%{?dist}
+License: LGPLv2+
+URL: http://libcg.sourceforge.net/
+Source0: http://downloads.sourceforge.net/libcg/%{name}-%{version}.tar.bz2
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+BuildRequires: pam-devel
+BuildRequires: byacc
+BuildRequires: flex
+BuildRequires: coreutils
+Requires(post): chkconfig, /sbin/service
+Requires(preun): /sbin/chkconfig
+
+%description
+Control groups infrastructure. The tools and library help manipulate, control,
+administrate and monitor control groups and the associated controllers.
+
+%package devel
+Summary: Development libraries to develop applications that utilize control groups
+Group: Development/Libraries
+Requires: libcgroup = %{version}-%{release}
+
+%description devel
+It provides API to create/delete and modify cgroup nodes. It will also in the
+future allow creation of persistent configuration for control groups and
+provide scripts to manage that configuration.
+
+%prep
+%setup -q
+
+%build
+%configure --bindir=/bin --sbindir=/sbin --libdir=/%{_lib}
+
+make %{?_smp_mflags}
+
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make DESTDIR=$RPM_BUILD_ROOT install
+mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
+cp scripts/init.d/cgconfig $RPM_BUILD_ROOT/%{_initrddir}/cgconfig
+cp scripts/init.d/cgred $RPM_BUILD_ROOT/%{_initrddir}/cgred
+mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
+cp samples/cgred.conf $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cgred.conf
+cp samples/cgconfig.conf $RPM_BUILD_ROOT/%{_sysconfdir}/cgconfig.conf
+cp samples/cgrules.conf $RPM_BUILD_ROOT/%{_sysconfdir}/cgrules.conf
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%post
+/sbin/ldconfig
+/sbin/chkconfig --add cgred
+/sbin/chkconfig --add cgconfig
+
+%preun
+if [ $1 = 0 ]; then
+ /sbin/service cgred stop > /dev/null 2>&1 || :
+ /sbin/service cgconfig stop > /dev/null 2>&1 || :
+ /sbin/chkconfig --del cgconfig
+ /sbin/chkconfig --del cgred
+fi
+
+%postun -p /sbin/ldconfig
+
+%files
+%defattr(-,root,root,-)
+%config(noreplace) %{_sysconfdir}/sysconfig/cgred.conf
+%config(noreplace) %{_sysconfdir}/cgconfig.conf
+%config(noreplace) %{_sysconfdir}/cgrules.conf
+/%{_lib}/libcgroup-%{version}.so
+/%{_lib}/libcgroup.so.*
+/bin/cgexec
+/bin/cgclassify
+/sbin/cgconfigparser
+/bin/cgrulesengd
+%attr(0644, root, root) %{_mandir}/man1/*
+%attr(0644, root, root) %{_mandir}/man5/*
+%attr(0644, root, root) %{_mandir}/man8/*
+%attr(0755,root,root) %{_initrddir}/cgconfig
+%attr(0755,root,root) %{_initrddir}/cgred
+%attr(0755,root,root) /%{_lib}/security/pam_cgroup.so
+
+%doc COPYING INSTALL README_daemon
+
+%files devel
+%defattr(-,root,root,-)
+%{_includedir}/libcgroup.h
+/%{_lib}/libcgroup.so
+%doc COPYING INSTALL
+
+
+%changelog
+* Tue Feb 24 2009 Balbir Singh <balbir@linux.vnet.ibm.com> 0.33-1
+- Update to 0.33, spec file changes to add Makefiles and pam_cgroup module
+* Fri Oct 10 2008 Dhaval Giani <dhaval@linux.vnet.ibm.com> 0.32-1
+- Update to latest upstream
+* Thu Sep 11 2008 Dhaval Giani <dhaval@linux-vnet.ibm.com> 0.31-1
+- Update to latest upstream
+* Sat Aug 2 2008 Dhaval Giani <dhaval@linux.vnet.ibm.com> 0.1c-3
+- Change release to fix broken upgrade path
+* Wed Jun 11 2008 Dhaval Giani <dhaval@linux.vnet.ibm.com> 0.1c-1
+- Update to latest upstream version
+* Tue Jun 3 2008 Balbir Singh <balbir@linux.vnet.ibm.com> 0.1b-3
+- Add post and postun. Also fix Requires for devel to depend on base n-v-r
+* Sat May 31 2008 Balbir Singh <balbir@linux.vnet.ibm.com> 0.1b-2
+- Fix makeinstall, Source0 and URL (review comments from Tom)
+* Mon May 26 2008 Balbir Singh <balbir@linux.vnet.ibm.com> 0.1b-1
+- Add a generatable spec file
+* Tue May 20 2008 Balbir Singh <balbir@linux.vnet.ibm.com> 0.1-1
+- Get the spec file to work
+* Tue May 20 2008 Dhaval Giani <dhaval@linux.vnet.ibm.com> 0.01-1
+- The first version of libcg
diff --git a/dist/mktarball-trunk b/dist/mktarball-trunk
new file mode 100644
index 0000000..c181d95
--- /dev/null
+++ b/dist/mktarball-trunk
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+srcd=$PWD
+package_version=0.2
+case $# in
+ 0)
+ ;;
+ *) echo "usage is $0"
+ exit 1
+ ;;
+esac
+
+svn info 2>&1 > /dev/null
+
+if [ $? -eq 1 ]
+then
+ issvn=0
+else
+ issvn=1
+fi
+
+if [[ $issvn -eq 1 ]]
+then
+ svn export --force http://libcg.svn.sf.net/svnroot/libcg/trunk/ /tmp/libcgroup-trunk
+ if [[ $? -ne 0 ]]
+ then
+ echo "Trunk missing"
+ fi
+else
+ cp -a . /tmp/libcgroup-trunk
+fi
+
+pushd /tmp 2>&1 > /dev/null
+tar jcf $srcd/libcgroup-trunk.tar.bz2 libcgroup-trunk
+popd 2>&1 > /dev/null
+
diff --git a/dist/mktarball.in b/dist/mktarball.in
new file mode 100755
index 0000000..2170a12
--- /dev/null
+++ b/dist/mktarball.in
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+srcd=$PWD
+package_version=@PACKAGE_VERSION@
+case $# in
+ 0)
+ ;;
+ *) echo "usage is $0"
+ exit 1
+ ;;
+esac
+
+svn info 2>&1 > /dev/null
+
+if [ $? -eq 1 ]
+then
+ issvn=0
+else
+ issvn=1
+fi
+
+if [[ $issvn -eq 1 ]]
+then
+ svn export --force http://libcg.svn.sf.net/svnroot/libcg/tags/v$package_version /tmp/libcgroup-$package_version
+ if [[ $? -ne 0 ]]
+ then
+ echo "Tag v$package_version missing"
+ fi
+else
+ cp -a . /tmp/libcgroup-$package_version
+fi
+
+pushd /tmp 2>&1 > /dev/null
+tar jcf $srcd/libcgroup-$package_version.tar.bz2 libcgroup-$package_version
+popd 2>&1 > /dev/null
+